#---------------------------------------------------------------------------------------------------
# %L                                                                                               -
# protocol-core                                                                                    -
# %%                                                                                               -
# Copyright (C) 2016 - 2018 République et Canton de Genève                                         -
# %%                                                                                               -
# This program is free software: you can redistribute it and/or modify                             -
# it under the terms of the GNU Affero General Public License as published by                      -
# the Free Software Foundation, either version 3 of the License, or                                -
# (at your option) any later version.                                                              -
#                                                                                                  -
# This program is distributed in the hope that it will be useful,                                  -
# but WITHOUT ANY WARRANTY; without even the implied warranty of                                   -
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the                                     -
# GNU General Public License for more details.                                                     -
#                                                                                                  -
# You should have received a copy of the GNU Affero General Public License                         -
# along with this program. If not, see <http://www.gnu.org/licenses/>.                             -
# L%                                                                                               -
#---------------------------------------------------------------------------------------------------

spring:
  profiles:
    include: default
  rabbitmq:
    host: localhost
    port: 5672
    username: rabbitmq
    password: p4ssW0rd
  datasource:
    url: jdbc:postgresql://localhost:5002/postgres
    username: postgres
    password: password
server:
  port: 8090
management:
  server:
    port: 9090
  endpoints:
    enabled-by-default: true
    web:
      exposure:
        exclude:
        include: '*'
logging:
  level:
    ch.ge.ve: DEBUG
ch:
  ge:
    ve:
      control-components-count: 2